//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace CallMgrSystem.Models
{
    using System;
    using System.Collections.Generic;
    
    public partial class tbl_Sites
    {
        public int ID { get; set; }
        public string Name { get; set; }
        public Nullable<int> HostType { get; set; }
        public string PBXType { get; set; }
        public string IPAddress { get; set; }
        public Nullable<int> Port { get; set; }
        public string RoutingCode { get; set; }
        public Nullable<bool> Enable { get; set; }
        public Nullable<System.DateTime> LastHeartbeatTime { get; set; }
        public string Description { get; set; }
        public Nullable<bool> LogCSTA { get; set; }
        public Nullable<int> LogLevel { get; set; }
        public Nullable<bool> ForceLogOff { get; set; }
        public Nullable<int> CDRType { get; set; }
        public string CDRIPAddress { get; set; }
        public Nullable<int> CDRPort { get; set; }
        public string CDRPathIn { get; set; }
        public string CDRPathOut { get; set; }
        public Nullable<int> CDRDayStart { get; set; }
        public Nullable<int> CDRDayLength { get; set; }
        public Nullable<int> CDRMonthStart { get; set; }
        public Nullable<int> CDRMonthLength { get; set; }
        public Nullable<int> CDRYearStart { get; set; }
        public Nullable<int> CDRYearLength { get; set; }
        public Nullable<int> CDRHourStart { get; set; }
        public Nullable<int> CDRHourLength { get; set; }
        public Nullable<int> CDRMinuteStart { get; set; }
        public Nullable<int> CDRMinuteLength { get; set; }
        public Nullable<int> CDRSecondStart { get; set; }
        public Nullable<int> CDRSecondLength { get; set; }
        public Nullable<int> CDRCallingStart { get; set; }
        public Nullable<int> CDRCallingLength { get; set; }
        public Nullable<int> CDRCalledStart { get; set; }
        public Nullable<int> CDRCalledLength { get; set; }
        public Nullable<int> CDRTalkHourStart { get; set; }
        public Nullable<int> CDRTalkHourLength { get; set; }
        public Nullable<int> CDRTalkMinStart { get; set; }
        public Nullable<int> CDRTalkMinLength { get; set; }
        public Nullable<int> CDRTalkSecStart { get; set; }
        public Nullable<int> CDRTalkSecLength { get; set; }
        public Nullable<int> CDRTrunkStart { get; set; }
        public Nullable<int> CDRTrunkLength { get; set; }
        public Nullable<int> CDRAccountStart { get; set; }
        public Nullable<int> CDRAccountLength { get; set; }
        public Nullable<int> CDRRouteStart { get; set; }
        public Nullable<int> CDRRouteLength { get; set; }
        public Nullable<int> CDRSeizureStart { get; set; }
        public Nullable<int> CDRSeizureLength { get; set; }
        public string CDRSitePrefix { get; set; }
        public Nullable<bool> CDRTimeIsCallBegin { get; set; }
        public string CDRStartOfLine { get; set; }
        public string CDREndOfLine { get; set; }
        public string CDRHTTPGet { get; set; }
        public string CDRHTTPDelete { get; set; }
        public string CDRTFTPFile { get; set; }
        public Nullable<int> CDRRingStart { get; set; }
        public Nullable<int> CDRRingLength { get; set; }
        public Nullable<int> CDRHoldStart { get; set; }
        public Nullable<int> CDRHoldLength { get; set; }
        public string RecordPath { get; set; }
        public Nullable<int> MaxStorageDays { get; set; }
        public Nullable<int> MinPctFreeDiskSize { get; set; }
        public string AMOHost { get; set; }
        public Nullable<int> AMOPort { get; set; }
        public string AMOLogin { get; set; }
        public string AMOPassw { get; set; }
    }
}
